Last Comment Bug 662689 - MSVC js.cpp(723) : warning C4242: 'argument' : conversion from 'int' to 'uint8', possible loss of data
: MSVC js.cpp(723) : warning C4242: 'argument' : conversion from 'int' to 'uint...
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- normal (vote)
: mozilla7
Assigned To: Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-07 17:16 PDT by Phil Ringnalda (:philor)
Modified: 2011-06-20 13:40 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Phil Ringnalda (:philor) 2011-06-07 17:16:28 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1307490542.1307491491.9239.gz
tracemonkey_win32-debug_spidermonkey-warnaserrdebug on 2011/06/07 16:49:02 

js.cpp

e:/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/src/js/src/shell/js.cpp(723) : error C2220: warning treated as error - no 'object' file generated

e:/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/src/js/src/shell/js.cpp(723) : warning C4242: 'argument' : conversion from 'int' to 'uint8', possible loss of data

make[2]: Leaving directory `/e/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/objdir/js/shell'
make[1]: Leaving directory `/e/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/objdir/js'
make[2]: *** [js.obj] Error 2
Comment 1 Phil Ringnalda (:philor) 2011-06-07 18:01:46 PDT
http://hg.mozilla.org/tracemonkey/rev/d6321d3a7dd7
Comment 2 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-06-20 13:40:32 PDT
I imagine this got merged over at some point, but I didn't put a bug # in the message.

Note You need to log in before you can comment on or make changes to this bug.